​
Select Service
ves-io-schema-views-proxy-API-Get
Published April 5, 2023 | Last modified September 23, 2026
Examples of getting proxy
Usecase:
Get "dynamic-http-proxy" Proxy
Request using vesctl:
vesctl configuration get proxy dynamic-http-proxy --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: dynamic-http-proxy namespace: documentationreferringObjects: []resourceVersion: "4412"spec: dynamicProxy: disableDnsMasquerade: {} domains: - '*.abc.com' - '*.xyz.com' httpProxy: {} noForwardProxyPolicy: {} noInterception: {} siteLocalNetwork: {} siteVirtualSites: advertiseWhere: - port: 8080 virtualSite: virtualSite: name: acmecorp-vsite namespace: documentation tenant: acmecorpstatus: []systemMetadata: creationTimestamp: "2026-06-19T22:14:01.066975Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 2f55499e-c7b7-495c-be78-ef1091397681Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/proxys/dynamic-http-proxy?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Fri, 19 Jun 2026 22:14:01 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "4412", "metadata": { "name": "dynamic-http-proxy", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "2f55499e-c7b7-495c-be78-ef1091397681", "creation_timestamp": "2026-06-19T22:14:01.066975Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "dynamic_proxy": { "domains": [ "*.abc.com", "*.xyz.com" ], "http_proxy": { "more_option": null }, "disable_dns_masquerade": {
} }, "site_virtual_sites": { "advertise_where": [ { "virtual_site": { "network": "SITE_NETWORK_INSIDE_AND_OUTSIDE", "virtual_site": { "tenant": "acmecorp", "namespace": "documentation", "name": "acmecorp-vsite" } }, "port": 8080 } ] }, "site_local_network": {
}, "no_forward_proxy_policy": {
}, "no_interception": {
}, "connection_timeout": 0 }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}